cgGetErrorString(3)

NAME
cgGetErrorString - get a human readable error string

SYNOPSIS
  #include <Cg/cg.h>
  const char * cgGetErrorString( CGerror error );

PARAMETERS

error
    The error condition.

RETURN VALUES
Returns a human readable error string for the given error condition.

DESCRIPTION
cgGetErrorString returns a human readable error string for the given error condition.

EXAMPLES
  const char * pCompilerError = cgGetErrorString( CG_COMPILER_ERROR );

ERRORS
None.

HISTORY
cgGetErrorString was introduced in Cg 1.1.

SEE ALSO
the cgGetError manpage